## libcstruct-ocaml 0.7.1

=== Makefile ===
all: build

LWT ?= $(shell if ocamlfind query lwt.unix >/dev/null 2>&1; then echo --enable-lwt; else echo --disable-lwt; fi)
ASYNC ?= $(shell if ocamlfind query async >/dev/null 2>&1; then echo --enable-async; else echo --disable-async; fi)
UNIX = --enable-unix
ifeq ($(MIRAGE_OS),xen)
UNIX= --disable-unix
endif

NAME=cstruct
J=4

setup.ml: _oasis
	oasis setup

setup.data: setup.ml
	ocaml setup.ml -configure $(LWT) $(UNIX) $(ASYNC)

build: setup.data setup.ml
	ocaml setup.ml -build -j $(J)

doc: setup.data setup.ml
	ocaml setup.ml -doc -j $(J)

install: setup.data setup.ml
	ocaml setup.ml -install

test: setup.ml build
	./test.sh

reinstall: setup.ml
	ocamlfind remove $(NAME) || true
	ocaml setup.ml -reinstall

clean:
	ocamlbuild -clean
	rm -f setup.data setup.log

=== debian/changelog ===
libcstruct-ocaml (0.7.1-3) UNRELEASED; urgency=low

  * Split files correctly between base and devel packages

 -- Euan Harris <euan.harris@citrix.com>  Fri, 30 May 2014 12:00:00 +0000

libcstruct-ocaml (0.7.1-2) UNRELEASED; urgency=low

  * Add dependency on lwt so the cstruct.lwt package is built

 -- David Scott <dave.scott@eu.citrix.com>  Mon, 23 Sep 2013 12:00:00 +0000

=== debian/control ===
Source: libcstruct-ocaml
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 dh-ocaml (>= 0.9),
 ocaml-nox,
 camlp4,
 python,
 debhelper (>= 8),
 camlp4-extra,
 ocplib-endian-ocaml-dev,
 ocaml-native-compilers,
 liblwt-ocaml-dev,
 ocaml-findlib

Package: libcstruct-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Read and write low-level C-style structures in OCaml
 Read and write low-level C-style structures in OCaml.

Package: libcstruct-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libcstruct-ocaml (>= 0.7.1-3),
 ocplib-endian-ocaml-dev
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-cstruct
 The ocaml-cstruct-devel package contains libraries and signature
 files for developing applications that use ocaml-cstruct.

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/makefile.mk
#include /usr/share/cdbs/1/rules/ocaml.mk

export DH_VERBOSE=1
export DH_OPTIONS
export DESTDIR=$(CURDIR)/debian/tmp
%:
	dh $@ --with ocaml --with python2

.PHONY: override_dh_auto_configure
override_dh_auto_configure:

.PHONY: override_dh_auto_build
override_dh_auto_build:
	debian/build.sh

.PHONY: override_dh_auto_install
override_dh_auto_install:
	debian/install.sh

.PHONY: override_dh_install
override_dh_install:
	dh_install
	rm -f debian/libcstruct-ocaml/usr/lib/ocaml/cstruct/*.a
	rm -f debian/libcstruct-ocaml/usr/lib/ocaml/cstruct/*.cmxa
	rm -f debian/libcstruct-ocaml/usr/lib/ocaml/cstruct/*.cmx
	rm -f debian/libcstruct-ocaml/usr/lib/ocaml/cstruct/*.mli

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	debian/clean.sh
	/bin/rm -rf ${DESTDIR}

.PHONY: override_dh_auto_test
override_dh_auto_test:

## libcstruct-ocaml 1.4.0

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	oasis setup
 
 setup.data: setup.ml
-	ocaml setup.ml -configure $(LWT) $(UNIX) $(ASYNC)
+	ocaml setup.ml -configure $(LWT) $(UNIX) $(ASYNC) --enable-tests
 
 build: setup.data setup.ml
 	ocaml setup.ml -build -j $(J)
@@ -27,6 +27,7 @@
 
 test: setup.ml build
 	./test.sh
+	ocaml setup.ml -test
 
 reinstall: setup.ml
 	ocamlfind remove $(NAME) || true

=== debian/changelog ===
libcstruct-ocaml (1.4.0-1) UNRELEASED; urgency=low

  * Update to 1.4.0

 -- David Scott <dave.scott@citrix.com>  Tue, 28 Oct 2014 12:00:00 +0000

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Section: ocaml
 Standards-Version: 3.9.3
 Build-Depends:
+ libsexplib-camlp4-dev,
  dh-ocaml (>= 0.9),
  ocaml-nox,
  camlp4,
@@ -12,6 +13,7 @@
  camlp4-extra,
  ocplib-endian-ocaml-dev,
  ocaml-native-compilers,
+ libounit-ocaml-dev,
  liblwt-ocaml-dev,
  ocaml-findlib
 
@@ -32,8 +34,9 @@
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends},
- libcstruct-ocaml (>= 0.7.1-3),
- ocplib-endian-ocaml-dev
+ libcstruct-ocaml (>= 1.4.0-1),
+ ocplib-endian-ocaml-dev,
+ libsexplib-camlp4-dev
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
 Description: Development files for ocaml-cstruct
